u012360130
甲骨文家族
采纳率100%
2015-12-19 07:01 阅读 5.5k

/usr/bin/yum: /usr/bin/python2.6: bad interpreter

5

redhat7.0更新了yum后报错
-bash: /usr/bin/yum: /usr/bin/python2.6: bad interpreter: No such file

[root@localhost bin]# whereis python
python: /usr/bin/python2.6 /usr/bin/python /usr/lib/python2.7 /usr/lib/python2.6 /usr/lib64/python2.7 /usr/lib64/python2.6 /usr/include/python2.7 /usr/share/man/man1/python.1.gz
#vi yum改成

#!/usr/bin/python2.6
还是不行

执行了sudo ln -s /usr/bin/python2.6 /usr/bin/python

  • 点赞
  • 写回答
  • 关注问题
  • 收藏
  • 复制链接分享

1条回答 默认 最新

  • 已采纳
    clinuxyj DeepJoseph 2015-12-19 08:42

    这个意思就是说,你的yum的版本不支持python2.6,
    所以你得把yum的python执行版本调成与你yum版本兼容的python版本,
    或者 你的是yum更新了,而python太落伍的了!

    点赞 1 评论 复制链接分享

相关推荐